Bug 21844 - Add callnumber to fines descriptions
Summary: Add callnumber to fines descriptions
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-15 18:56 UTC by Nick Clemens
Modified: 2019-05-03 06:23 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21844: Include itemcallnumber in lost ifne description (1.58 KB, patch)
2018-11-15 18:59 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 21844: Include itemcallnumber in lost ifne description (1.63 KB, patch)
2018-11-16 21:19 UTC, Pierre-Marc Thibault
Details | Diff | Splinter Review
Bug 21844: Include itemcallnumber in lost fine description (1.73 KB, patch)
2018-11-29 11:19 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-11-15 18:56:52 UTC
Some libraries would like to be able to do a shelf check when a patron disputes a lost charge. Providing the callnumber in the lost fine description would make this much easier
Comment 1 Nick Clemens 2018-11-15 18:59:58 UTC
Created attachment 82373 [details] [review]
Bug 21844: Include itemcallnumber in lost ifne description

To test:
 1 - Make sure WhenLostChargeReplacementFee is set to charge
 2 - Find an item with a replacement cost (or default) and a call number
 3 - Checkout the item to a patron
 4 - Mark the item lost
 5 - View the fine - the description includes title and barcode
 6 - Apply patch
 7 - Check the item in
 8 - Check it out again
 9 - Mark it lost
10 - Note the fine inclues the callnumber
Comment 2 Pierre-Marc Thibault 2018-11-16 21:19:46 UTC
Created attachment 82419 [details] [review]
Bug 21844: Include itemcallnumber in lost ifne description

To test:
 1 - Make sure WhenLostChargeReplacementFee is set to charge
 2 - Find an item with a replacement cost (or default) and a call number
 3 - Checkout the item to a patron
 4 - Mark the item lost
 5 - View the fine - the description includes title and barcode
 6 - Apply patch
 7 - Check the item in
 8 - Check it out again
 9 - Mark it lost
10 - Note the fine inclues the callnumber

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>
Comment 3 Marcel de Rooy 2018-11-29 11:19:39 UTC
Created attachment 82727 [details] [review]
Bug 21844: Include itemcallnumber in lost fine description

To test:
 1 - Make sure WhenLostChargeReplacementFee is set to charge
 2 - Find an item with a replacement cost (or default) and a call number
 3 - Checkout the item to a patron
 4 - Mark the item lost
 5 - View the fine - the description includes title and barcode
 6 - Apply patch
 7 - Check the item in
 8 - Check it out again
 9 - Mark it lost
10 - Note the fine includes the callnumber

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Nick Clemens 2018-12-26 20:51:55 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-01-03 14:24:30 UTC
Enhancement, will not be backported to 18.11.x series.